import React, { Component } from "react";
import { connect } from "react-redux";
import { reduxForm, Field, FieldArray } from "redux-form";

const renderField = ({ input, meta: { touched, error }, label, type }) => (
	<div className="form__input-box">
		<label className="form__input-lable" htmlFor="origin">
			{label}
			<input type={type} {...input} />
		</label>
		{touched && error && <span>{error}</span>}
	</div>
);

class LoadForm extends Component {
	
	render() {
		const { handleSubmit, title, pristine, submitting } = this.props;

		return (
			<form onSubmit={handleSubmit(this.submit)} className="form">
				
			</form>
		);
	}
}

const mapStateToProps = (state, props) => ({
});

const component = reduxForm({ })(LoadForm);

export default connect(mapStateToProps)(component);

