import React, { Component } from "react";
import { connect } from 'react-redux';
import { func, object } from 'prop-types';
import { bindActionCreators } from 'redux'

import HeaderComponent from './../../components/public-components/header';


import { signOut } from './../../actions/auth/signOut'

const
    mapStateToProps = ({ user }) => ({
        user
    }),
    mapDispatchToProps = dispatch => bindActionCreators({
        signOut
    }, dispatch);

export default connect(mapStateToProps, mapDispatchToProps)(HeaderComponent);