import * as types from "../../constants";
import initialState from '../initialState';

export default function cardS(state = initialState.category, {type, payload: category, error}) {
    switch (type) {
        case types.CATEGORY_URL_REQUEST: {
            return {
                ...state
            }
        }
        case types.CATEGORY_URL_REQUEST_SUCCESS: {
            return {
                ...state,
                category
            }
        }
        case types.CATEGORY_URL_REQUEST_FAILURE: {
            return {
                ...state,
                error
            }
        }
        default: {
            return state
        }
    }
}