import { takeEvery } from "redux-saga/effects";
import * as types from "./../../constants"

import signIn from './signIn';
import signUp from './signUp';
import getUsers from './users/users';

export default function*() {
    yield takeEvery(types.SIGN_IN_REQUEST, signIn);
    yield takeEvery(types.SIGN_UP_REQUEST, signUp);
    yield takeEvery(types.USERS_GET_REQUEST, getUsers);
}


